html, body, .wrapper {
  height: 100%;
  font-size: 30px;
}

.wrapper {
  text-align: center;
  display: grid;
  grid-template-rows: 2fr 1fr 3fr 1fr 1fr 1fr;
  grid-template-areas: "header" "nav" "content" "sidebar-left" "sidebar-right" "footer";
  grid-gap: 20px;
}

.header {
  display: flex;
  justify-content: space-between;
  grid-area: header;
  background-color: #1c7430;
  color: #fff;
  padding: 10px;
}

.nav {
  grid-area: nav;
  background-color: #7F7CFF;
  color: #fff;
  display: none;
  &__list {
    list-style: none;
    display: flex;
    flex-direction: column;
  }

  &__item {
    display: inline-block;
    padding: 10px;
    width: 100%;
  }

  &__link {
    text-decoration: none;
    color: #fff;
    text-transform: uppercase;
  }

  &--opened {
    display: block;
  }


}

.content {
  grid-area: content;
  background-color: #7abaff;
}

.sidebar--left {
  grid-area: sidebar-left;
  background-color: #6610f2;
}

.sidebar--right {
  grid-area: sidebar-right;
  background-color: red;
}

.footer {
  grid-area: footer;
  background-color: #c69500;
}

.header__bar-btn {
  border: none;
  background: none;
  color: #fff;
}



@media screen and (min-width: 500px) {
  .wrapper {
    grid-template-areas: "header header" "nav nav" "sidebar-left content" "sidebar-right sidebar-right" "footer footer";
    grid-template-columns: 1fr 3fr;
    grid-template-rows: 2fr 1fr 4fr 1fr 1fr;
  }

  .nav {
    display: none;
  }
}

@media screen and (min-width: 700px) {
  .wrapper {
    grid-template-areas: "header header header" "nav nav nav" "sidebar-left content sidebar-right" "footer footer footer";
    grid-template-columns: 1fr 4fr 1fr;
    grid-template-rows: 2fr 1fr 4fr 1fr;
  }

  .header__bar-btn {
    display: none;
  }

  .nav {
    display: inline-block;

    &__list {
      flex-direction: row;
    }

    &__item {
      width: auto;
    }
  }
}


